# This is a perl script snippet, demonstrating the
# possible configurations of
#
#     mkchroot-rush.pl
#
# Do not forget the final "1;" statement, as this file is
# read using a do-statement. Read the POD text for further
# information.

# Location under which to build the skeleton.
#
$chrootdir = '/srv/rush';

# Eliminate some tests at execution time.
#
# $force = '';

# List of desirable tasks
#
@tasks = qw/etc home dev lib bin/;

# Predefined collection of users.
# Info will be gathered from '/etc/passwd'.
#
@userlist = qw/dumle/;

# Binaries to install.
#
@binaries = qw( /usr/lib/openssh/sftp-server );

# Acceptable paths within the chroot.
# These are preserved when installing
# binaries and executables.

@binpaths = qw( /bin /usr/bin );

# Preseeding list for use of dynamic libraries.
# The dynamic loader and Libc are detected by
# studying '/bin/sh', so they are captured for
# GNU/Linux and GNU/kFreeBSD.
#
# @liblist = qw( /lib/ld-linux.so.2 /lib/libc.so.6
#                /lib/libnss_files.so.2 /lib/libnss_dns.so.2 );

1;
